%define name C++2LaTeX
%define version 1.1
%define release 9mdk

Summary:	Pretty-printer for converting C/C++ code to a LaTeX listing
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/C++
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	flex
Buildroot:	%{_tmppath}/%{name}-buildroot
Requires:	common-licenses
Requires:	tetex-latex

%description
C++2LaTeX takes as input a C or C++ source file and outputs a 
LaTeX file that is a beautified listing (optionally the output
can contain the 'documentstyle' header and so on).

%prep
%setup

%build
%make CFLAGS="-DC_PLUSPLUS $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -s -m 755 c++2latex $RPM_BUILD_ROOT%{_bindir}
install -m 444 c++2latex.1  $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr (-,root,root)
%doc README ChangeLog 00Contents 00Description
%{_bindir}/c++2latex
%{_mandir}/man1/c++2latex.*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 20 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-9mdk
- Rebuilt.
- Added tetex-latex to Buildrequires.

* Wed Jul 31 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-8mdk
- add -q to %%setup
- remove zero-length copyright docs

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1-7mdk
- BuildRequires:	flex
- Copyright --> License

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-6mdk
- add %%doc to %%files section
- requires common-licenses
- build with rpm_opt_flags

* Sat Aug 05 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1-5mdk
- macroszifications
- BM

* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 1.1-4mdk
- Fixed group
    
* Fri Mar 17 2000 Camille Begnis <camille@mandrakesoft.com> 1.1-3mdk
- minor spec update 

* Wed Feb 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1-2mdk
 - updated .spec file a bit

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
 - new in contribs
 - build for mandrake
 
* Thu Nov 05 1998 Christian Joensson FOA 72 <chj@lin.foa.se>.
  - Took James Youngman's, <JYoungman@vggas.com>, libc5 src.
  - Deleted the tetex-latex dependency, built with glibc-2,
    and stripped binary.         
